Runtime fault using polymer-v4.12 to run HICO data

Post Reply
southocean
Posts: 7
Joined: Fri Jun 07, 2019 12:05 pm
company / institution: Sun Yat-Sen UNIVERSITY
Location: guangdong province China

Runtime fault using polymer-v4.12 to run HICO data

Post by southocean »

Hello!
When I try to run the following script to process HICO data using polymer-v4.12:

Code: Select all

#!/usr/bin/env python
# -*- coding: utf-8 -*-

from polymer.main import run_atm_corr,Level1,Level2
from polymer.level1_hico import Level1_HICO
from polymer.level2_nc import Level2_NETCDF
from polymer.ancillary_era5 import Ancillary_ERA5

def example_hico():
    run_atm_corr(
        Level1_HICO('/home/southocean/deskface/H2012056082449.L1B_ISS', ancillary=Ancillary_ERA5()),
        Level2_NETCDF(outdir='/home/southocean/deskface/HICO')
)

if __name__ == "__main__":
    example_hico()
I get the following error:

Code: Select all

python: /tmp/build/80754af9/libnetcdf_1545349563001/work/libsrc4/nc4var.c:431: nc4_vararray_add: Assertion `var->varid == grp->vars.nelems' failed.
Aborted (core dumped)
But I can run landsat 8 data and sentinel2B data successfully.
Can someone tell me how to solve it?

Thanks for your help in advance!
Best regards,
southocean
User avatar
fsteinmetz
Site Admin
Posts: 74
Joined: Fri Sep 07, 2018 1:34 pm
company / institution: Hygeos
Location: Lille, France
Contact:

Re: Runtime fault using polymer-v4.12 to run HICO data

Post by fsteinmetz »

Hello,
There seems to be a problem in your NetCDF library. Could you provide more information about your system and python environment ?
Cheers,
François
southocean
Posts: 7
Joined: Fri Jun 07, 2019 12:05 pm
company / institution: Sun Yat-Sen UNIVERSITY
Location: guangdong province China

Re: Runtime fault using polymer-v4.12 to run HICO data

Post by southocean »

Hello François

I use Ubuntu 16.04.5 LTS (GNU/Linux 4.15.0-36-generic x86_64), Python 3.6.9 |Anaconda, Inc.| [GCC 7.3.0], netcdf library version 4.6.1
Do I need to provide any other information?

Best regards,
southocean
User avatar
fsteinmetz
Site Admin
Posts: 74
Joined: Fri Sep 07, 2018 1:34 pm
company / institution: Hygeos
Location: Lille, France
Contact:

Re: Runtime fault using polymer-v4.12 to run HICO data

Post by fsteinmetz »

Oh, I see...I was wrong, there was no problem with your NetCDF library.
The problem is that you have used the older Level1 format. You should use the HICO Level1 files in NetCDF format. Like this one :
https://oceandata.sci.gsfc.nasa.gov/hic ... L1B_ISS.nc
Cheers,
François
Post Reply